/* 
 * File:   program.h
 * Author: fiki
 *
 * Created on 2. duben 2009, 0:07
 */

#include <mqueue.h>

#ifndef _PROGRAM_H
#define	_PROGRAM_H


#ifdef	__cplusplus
extern "C" {
#endif

    const char* NAZEV_FRONTY = "/mojeFronta";
    struct mq_attr mq_vlastnosti;
    const int POCET_ZPRAV_VE_FRONTE = 5;
    const int DELKA_ZPRAVY = 100;

    void prijimej();
    void odesilej();

    /**
     * Zeptá se uživatele, zda se má program spustit v odesílacím nebo přijímacím režimu.
     * true = odesílací
     * false = přijímací
     */
    bool isOdesilaciRezim();

#ifdef	__cplusplus
}
#endif

#endif	/* _PROGRAM_H */

